package smart_gs.swingui.toolbar.action;

import java.awt.Cursor;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import smart_gs.drawing_tool.drawing_mode.LineSegEditorEditVertexMode;
import smart_gs.drawing_tool.drawing_mode.LineSegEditorSelectMode;
import smart_gs.smleditor.swingui.LineSegEditor;

public class LineSegEditorEditVertexActionListener implements ActionListener {
	LineSegEditor editor;
	
	public LineSegEditorEditVertexActionListener(LineSegEditor editor) {
		this.editor = editor;
	}

	@Override
	public void actionPerformed(ActionEvent arg0) {
		this.editor.setMode(new LineSegEditorEditVertexMode(editor));
		this.editor.setLineSegEditorImageLabelCursor(new Cursor(Cursor.HAND_CURSOR));
	}

}




